Package com.openmeet.shared.data.meeter

# Class Meeter

java.lang.Object
com.openmeet.shared.data.meeter.Meeter

All Implemented Interfaces:
  `IEntity`

public class Meeter extends Object implements IEntity

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MEETER`
  `static final String`
  `MEETER_BIOGRAPHY`
  `static final String`
  `MEETER_BIRTHDATE`
  `static final String`
  `MEETER_CITY`
  `static final String`
  `MEETER_EMAIL`
  `static final String`
  `MEETER_GENDER`
  `static final String`
  `MEETER_ID`
  `static final String`
  `MEETER_MEETER_NAME`
  `static final String`
  `MEETER_MEETER_SURNAME`
  `static final String`
  `MEETER_PUBLIC_KEY`
  `static final String`
  `MEETER_PWD`
  `static final String`
  `MEETER_SEARCHING_GENDER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Meeter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBiography()`
  Returns the biography of the Meeter.
  `Date`
  `getBirthdate()`
  Returns the birthdate of the Meeter.
  `String`
  `getCity()`
  Returns the city of the Meeter.
  `String`
  `getEmail()`
  Returns the email of the Meeter.
  `String`
  `getGender()`
  Returns the gender of the Meeter.
  `int`
  `getId()`
  Returns the id of the Meeter.
  `String`
  `getMeeterName()`
  Returns the name of the Meeter.
  `String`
  `getMeeterSurname()`
  Returns the surname of the Meeter.
  `String`
  `getPublicKey()`
  Returns the age of the Meeter.
  `String`
  `getPwd()`
  Returns the password of the Meeter.
  `String`
  `getSearchingGender()`
  Returns the searching gender of the Meeter.
  `void`
  `setBiography(String biography)`
  Sets the biography of the Meeter.
  `void`
  `setBirthdate(Date birthdate)`
  Sets the birthdate of the Meeter.
  `void`
  `setCity(String city)`
  Sets the city of the Meeter.
  `void`
  `setEmail(String email)`
  Sets the email of the Meeter.
  `void`
  `setGender(String gender)`
  Sets the gender of the Meeter.
  `void`
  `setId(int id)`
  Sets the id of the Meeter.
  `void`
  `setMeeterName(String meeterName)`
  Sets the name of the Meeter.
  `void`
  `setMeeterSurname(String meeterSurname)`
  Sets the surname of the Meeter.
  `void`
  `setPublicKey(String publicKey)`
  Sets the public key of the Meeter.
  `void`
  `setPwd(String pwd, boolean encrypt)`
  Sets the password of the Meeter using SHA1 encryption .
  `void`
  `setSearchingGender(String searchingGender)`
  Sets the searching gender of the Meeter.
  `HashMap<String,?>`
  `toHashMap()`
  Returns the Meeter as an hashMap.
  `HashMap<String,?>`
  `toHashMap(String... fields)`
  Returns the Meeter as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MEETER

    public static final String MEETER
    See Also:
      - Constant Field Values

  - ### MEETER_ID

    public static final String MEETER_ID
    See Also:
      - Constant Field Values

  - ### MEETER_EMAIL

    public static final String MEETER_EMAIL
    See Also:
      - Constant Field Values

  - ### MEETER_MEETER_NAME

    public static final String MEETER_MEETER_NAME
    See Also:
      - Constant Field Values

  - ### MEETER_MEETER_SURNAME

    public static final String MEETER_MEETER_SURNAME
    See Also:
      - Constant Field Values

  - ### MEETER_GENDER

    public static final String MEETER_GENDER
    See Also:
      - Constant Field Values

  - ### MEETER_SEARCHING_GENDER

    public static final String MEETER_SEARCHING_GENDER
    See Also:
      - Constant Field Values

  - ### MEETER_CITY

    public static final String MEETER_CITY
    See Also:
      - Constant Field Values

  - ### MEETER_PWD

    public static final String MEETER_PWD
    See Also:
      - Constant Field Values

  - ### MEETER_BIOGRAPHY

    public static final String MEETER_BIOGRAPHY
    See Also:
      - Constant Field Values

  - ### MEETER_BIRTHDATE

    public static final String MEETER_BIRTHDATE
    See Also:
      - Constant Field Values

  - ### MEETER_PUBLIC_KEY

    public static final String MEETER_PUBLIC_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Meeter

    public Meeter()

- ## Method Details

  - ### toHashMap

    public HashMap<String,?> toHashMap()
    Returns the Meeter as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Meeter as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,?> toHashMap(String... fields)
    Returns the Meeter as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Meeter as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Meeter.
    Returns:
      the id of the Meeter.

  - ### setId

    public void setId(int id)
    Sets the id of the Meeter.
    Parameters:
      `id` - the id of the Meeter.

  - ### getEmail

    public String getEmail()
    Returns the email of the Meeter.
    Returns:
      the email of the Meeter.

  - ### setEmail

    public void setEmail(String email)
    Sets the email of the Meeter.
    Parameters:
      `email` - the email of the Meeter.

  - ### getMeeterName

    public String getMeeterName()
    Returns the name of the Meeter.
    Returns:
      the name of the Meeter.

  - ### setMeeterName

    public void setMeeterName(String meeterName)
    Sets the name of the Meeter.
    Parameters:
      `meeterName` - the name of the Meeter.

  - ### getMeeterSurname

    public String getMeeterSurname()
    Returns the surname of the Meeter.
    Returns:
      the surname of the Meeter.

  - ### setMeeterSurname

    public void setMeeterSurname(String meeterSurname)
    Sets the surname of the Meeter.
    Parameters:
      `meeterSurname` - the surname of the Meeter.

  - ### getPwd

    public String getPwd()
    Returns the password of the Meeter.
    Returns:
      the password of the Meeter.

  - ### setPwd

    public void setPwd(String pwd, boolean encrypt)
    Sets the password of the Meeter using SHA1 encryption .
    Parameters:
      `pwd` - the password of the Meeter.
      `encrypt` - true if the password must be encrypted, false otherwise.

  - ### getGender

    public String getGender()
    Returns the gender of the Meeter.
    Returns:
      the gender of the Meeter.

  - ### setGender

    public void setGender(String gender)
    Sets the gender of the Meeter.
    Parameters:
      `gender` - the gender of the Meeter.

  - ### getSearchingGender

    public String getSearchingGender()
    Returns the searching gender of the Meeter.
    Returns:
      the searching gender of the Meeter.

  - ### setSearchingGender

    public void setSearchingGender(String searchingGender)
    Sets the searching gender of the Meeter.
    Parameters:
      `searchingGender` - the searching gender of the Meeter.

  - ### getCity

    public String getCity()
    Returns the city of the Meeter.
    Returns:
      the city of the Meeter.

  - ### setCity

    public void setCity(String city)
    Sets the city of the Meeter.
    Parameters:
      `city` - the city of the Meeter.

  - ### getBiography

    public String getBiography()
    Returns the biography of the Meeter.
    Returns:
      the biography of the Meeter.

  - ### setBiography

    public void setBiography(String biography)
    Sets the biography of the Meeter.
    Parameters:
      `biography` - the biography of the Meeter.

  - ### getBirthdate

    public Date getBirthdate()
    Returns the birthdate of the Meeter.
    Returns:
      the birthdate of the Meeter.

  - ### setBirthdate

    public void setBirthdate(Date birthdate)
    Sets the birthdate of the Meeter.
    Parameters:
      `birthdate` - the birthdate of the Meeter.

  - ### getPublicKey

    public String getPublicKey()
    Returns the age of the Meeter.
    Returns:
      the age of the Meeter.

  - ### setPublicKey

    public void setPublicKey(String publicKey)
    Sets the public key of the Meeter.
    Parameters:
      `publicKey` - the public key of the Meeter.